API DocumentationBackups
Delete backup
Delete a backup.
Authorization
bearer_auth AuthorizationBearer <token>
Authentication
Create an API token on Profile. Send it in the Authorization header:
Authorization: Bearer os1_...Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.
In: header
Path Parameters
backup_id*string
A unique identifier for a backup.
Format
uuidResponse Body
application/json
application/json
text/pain
application/json
application/json
curl -X DELETE "https://example.com/v1/backups/6ba7b810-9dad-11d1-80b4-00c04fd430c8"null{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized. Send POST /v1/init, then retry the request." } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}